
Figure - Bug #115533
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

Bug # 115209 (CLOSED): 【AF】【EVT】【视频】使用视频里的裁剪功能——新视频前几秒无法播放，直接跳过

【AF】【EVT】【应用】图库应用进行裁剪时，保存视频有时会应用崩溃
2023-01-30 11:27 - 物联网测试组_CDTS 段小刚

Status: CLOSED Start date: 2023-01-30

Priority: Normal Due date: 2023-02-07

Assignee: 物联网测试组_CDTS 段小刚 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0067.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0072.X101

Reproducibility: Frequently Fixed Version: 2023-02-07

Test Type: IT Root cause: AOSP问题

Description

【前提条件】

1、设备成功启动

2、确保设备里有一个视频MP4文件

【测试步骤】

1、打开 图库

2、点击 右上角3点功能键——选择‘修剪’

3、拖动一下剪辑条，点击 保存

【预期结果】

3、视频保存成功，应用正常运行

【实际结果】

3、应用崩溃

【复现率】

1/3

History

#1 - 2023-01-30 11:45 - CD APP-王营

- Due date set to 2023-02-07

- Status changed from New to ASSIGNED

#2 - 2023-02-04 17:36 - CD APP-王宏

■ Current conclusion

分析中

■ My analysis

定位到是TrimVideo 264行，Uri.fromFile(mDstFileInfo.mFile)，文件兼容问题

■ Next action

尝试兼容7.0的分享文件权限以及11后的文件分区权限

#3 - 2023-02-04 17:36 - CD APP-王宏
- % Done changed from 0 to 10

#4 - 2023-02-06 16:57 - CD APP-王宏

■ Current conclusion

已提交

■ My analysis

logcat.txt:1578:01-10 04:05:00.349 E/AndroidRuntime( 6902): Process: com.android.gallery3d, PID: 6902

logcat.txt:1579:01-10 04:05:00.349 E/AndroidRuntime( 6902): android.os.FileUriExposedException: file:///storage/emulated/0/Movies/TRIM_20230110_040456.mp4

exposed beyond app through Intent.getData()

logcat.txt:1580:01-10 04:05:00.349 E/AndroidRuntime( 6902):     at android.os.StrictMode.onFileUriExposed(StrictMode.java:2209)

logcat.txt:1581:01-10 04:05:00.349 E/AndroidRuntime( 6902):     at android.net.Uri.checkFileUriExposed(Uri.java:2402)

logcat.txt:1582:01-10 04:05:00.349 E/AndroidRuntime( 6902):     at android.content.Intent.prepareToLeaveProcess(Intent.java:11429)

logcat.txt:1583:01-10 04:05:00.349 E/AndroidRuntime( 6902):     at android.content.Intent.prepareToLeaveProcess(Intent.java:11380)

logcat.txt:1584:01-10 04:05:00.349 E/AndroidRuntime( 6902):     at android.app.Instrumentation.execStartActivity(Instrumentation.java:1744)

logcat.txt:1585:01-10 04:05:00.349 E/AndroidRuntime( 6902):     at android.app.Activity.startActivityForResult(Activity.java:5429)

logcat.txt:1586:01-10 04:05:00.349 E/AndroidRuntime( 6902):     at android.app.Activity.startActivityForResult(Activity.java:5387)

logcat.txt:1587:01-10 04:05:00.349 E/AndroidRuntime( 6902):     at android.app.Activity.startActivity(Activity.java:5773)

logcat.txt:1588:01-10 04:05:00.349 E/AndroidRuntime( 6902):     at android.app.Activity.startActivity(Activity.java:5726)

logcat.txt:1589:01-10 04:05:00.349 E/AndroidRuntime( 6902):     at com.android.gallery3d.app.TrimVideo$3$1.run(TrimVideo.java:266)

logcat.txt:1590:01-10 04:05:00.349 E/AndroidRuntime( 6902):     at android.os.Handler.handleCallback(Handler.java:938)

logcat.txt:1591:01-10 04:05:00.349 E/AndroidRuntime( 6902):     at android.os.Handler.dispatchMessage(Handler.java:99)

logcat.txt:1592:01-10 04:05:00.349 E/AndroidRuntime( 6902):     at android.os.Looper.loopOnce(Looper.java:201)

logcat.txt:1593:01-10 04:05:00.349 E/AndroidRuntime( 6902):     at android.os.Looper.loop(Looper.java:288)

logcat.txt:1594:01-10 04:05:00.349 E/AndroidRuntime( 6902):     at android.app.ActivityThread.main(ActivityThread.java:7880)

logcat.txt:1595:01-10 04:05:00.349 E/AndroidRuntime( 6902):     at java.lang.reflect.Method.invoke(Native Method)

logcat.txt:1596:01-10 04:05:00.349 E/AndroidRuntime( 6902):     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

logcat.txt:1597:01-10 04:05:00.349 E/AndroidRuntime( 6902):     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

又错误可知在TrimVideo，266行，是使用了不被支持的Uri，根据上文可知道插入数据库时返回了一个Uri，所以这个Uri肯定是系统能够识别到的,故使用

上边返回的Uri就可以了

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Gallery2/+/179629/

#5 - 2023-02-06 17:26 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

179629 general/platform/packages/apps/Galler

y2

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

FW:Gallery:Fix the bug of image library crash1.The correct Uri should be selected when updating the libraryTC-RID: 1201-0300701IssueID:

TS-R-BUG-115533Change-Id: I0c731330ea996610111c79703fe2ebabe56d41fb

#6 - 2023-02-06 17:28 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to 物联网测试组_CDTS 段小刚

- % Done changed from 10 to 100
- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-07

- Root cause set to AOSP问题

#7 - 2023-02-07 15:06 - 物联网测试组_CDTS 段小刚

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0072.X101

验证结果：使用修复版本按照测试方法进行了10次裁剪，均未出现应用崩溃问题——Pass

#8 - 2023-02-07 15:06 - 物联网测试组_CDTS 段小刚

- Status changed from VERIFIED to CLOSED

bug已修复，特此关闭

Files

2dEqObc5b8.jpg 22.2 KB 2023-01-30 物联网测试组_CDTS 段小刚

崩溃log.zip 4.77 MB 2023-01-30 物联网测试组_CDTS 段小刚
